{
    "version": "2.0.0",
    "configurations": [
        {
            "name": "Debug",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/release/x86/exe/RTU",
            // "program": "${workspaceFolder}/release/x86/exe/FTU_cfg_parse",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "preLaunchTask": "run-build-script",
            "setupCommands": [
                {
                "description": "Enable pretty-printing for gdb",
                "text": "-enable-pretty-printing",
                "ignoreFailures": true
                },
                {
                "description": "Set default output to hex",
                "text": "set output-radix 16",  // 16 表示十六进制，10 表示十进制
                "ignoreFailures": true
                }
            ]
        }
    ]
}